


import javax.swing.UIManager;
import java.awt.*;



//creates and shows a Mainframe-Object
public class ThemeRiver {
    boolean packFrame = false;

/**
*
*  Constructs the application.
*
*  The method instantiates a new Mainframe-object and shows it centered on
*  the screen.
*/
  //Construct the application
    public ThemeRiver() {
        Mainframe frame = new Mainframe();
        //Validate frames that have preset sizes
        //Pack frames that have useful preferred size info, e.g. from their layout
        if (packFrame) {
            frame.pack();
        }
        else {
            frame.validate();
        }
        //Center the window
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension frameSize = frame.getSize();
        if (frameSize.height > screenSize.height) {
            frameSize.height = screenSize.height;
        }
        if (frameSize.width > screenSize.width) {
            frameSize.width = screenSize.width;
        }
        frame.setLocation((screenSize.width - frameSize.width)/2, (screenSize.height - frameSize.height) / 2);
        frame.setVisible(true);
    }


/**
*
*  Creates a new Julia-Object.
*
*/
    public static void main(String[] args) {
        try {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        }
        catch(Exception e) {
            e.printStackTrace();
        }   
        new ThemeRiver();
    }
}